Package org.silverpeas.components.kmelia.service

# Class KmeliaPublicationBatchSimulationElementLister

java.lang.Object
org.silverpeas.core.process.annotation.SimulationElementLister
org.silverpeas.components.kmelia.service.AbstractKmeliaSimulationElementLister
org.silverpeas.components.kmelia.service.KmeliaPublicationBatchSimulationElementLister

public class KmeliaPublicationBatchSimulationElementLister extends AbstractKmeliaSimulationElementLister
This lister is used into context of update of a batch of publications.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KmeliaPublicationBatchSimulationElementLister(Map<org.silverpeas.core.contribution.publication.model.PublicationPK,org.silverpeas.core.contribution.publication.model.PublicationDetail> publicationCache, KmeliaXmlFormUpdateContext xmlFormUpdateContext, org.silverpeas.core.admin.user.model.User currentUser)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `listElements(org.silverpeas.core.ResourceReference sourcePK, String language)`

  ### Methods inherited from class org.silverpeas.components.kmelia.service.AbstractKmeliaSimulationElementLister

  `getNodeService, getPublicationService, listElements`

  ### Methods inherited from class org.silverpeas.core.process.annotation.SimulationElementLister

  `addElement, getActionType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KmeliaPublicationBatchSimulationElementLister

    public KmeliaPublicationBatchSimulationElementLister(Map<org.silverpeas.core.contribution.publication.model.PublicationPK,org.silverpeas.core.contribution.publication.model.PublicationDetail> publicationCache, KmeliaXmlFormUpdateContext xmlFormUpdateContext, org.silverpeas.core.admin.user.model.User currentUser)

- ## Method Details

  - ### listElements

    public void listElements(org.silverpeas.core.ResourceReference sourcePK, String language)
    Specified by:
      `listElements` in class `org.silverpeas.core.process.annotation.SimulationElementLister`